Bug 1565708 - nautilus: unrecognized image file format
Summary: nautilus: unrecognized image file format
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: nautilus
Version: 7.4
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Ondrej Holy
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On: 1298599
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-10 15:06 UTC by R P Herrold
Modified: 2020-01-10 12:40 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1298599
Environment:
Last Closed: 2020-01-10 12:40:45 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description R P Herrold 2018-04-10 15:06:31 UTC
+++ This bug was initially created as a clone of Bug #1298599 +++

gnome-documents doesn't recognize various file formats

I had a similar problem under a gnome tool: nautilus, of a missing thumbnmail helper

nautilus-3.22.3-4.el7_4.x86_64

which, when starting an 'inventorying'  a directory and assumedly building thumb-nails,  emitted:

[herrold@centos-7 ~]$ nautilus
Initializing nautilus-dropbox 2015.10.28
error: The metadata does not have a thumbnail property

(nautilus:7841): GnomeDesktop-WARNING **: Error creating thumbnail for file:///home/herrold/Desktop/completed-acc-new-supplier-information-form.xls: Unrecognized image file format
[herrold@centos-7 ~]$ 


There were companion SELinux issues, for which I added custom local rules (see bug #1491720

Researching, it appeared that others were having similar missing helper apps issues (evince helper bug), and that installing 'gnome-documents' seemed to resolve it.  Problem is of course that it is an additional 250M of stuff now wanted, in the filesystem

gnome-documents-3.22.2-5.el7.x86_64 : A document manager application for GNOME
Repo        : base
Matched from:
Filename    : /usr/bin/gnome-documents

[herrold@centos-7 ~]$ sudo yum install /usr/bin/gnome-documents


[herrold@centos-7 ~]$ gnome-documents
Gjs-Message: JS LOG: Error indexing the getting started PDF: Filesystem miner is not active


But this DID quell the missing .xls item thumbnail issue

[herrold@centos-7 ~]$ nautilus
Initializing nautilus-dropbox 2015.10.28
number of files 1
[herrold@centos-7 ~]$ 

and (improperly) reported a file count to stdout/  stderr which should not be present

Desired resolutions:

1. identify the needed supplement which provided the thumbnail handler for .xls, and add JUST that Requires: to the .spec file

(this set for 'gnome-documents' is wayyy too much:
  gnome-documents.x86_64 0:3.22.2-5.el7                                          

Dependency Installed:
  autocorr-en.noarch 1:5.0.6.2-15.el7_4                                          
  clucene-contribs-lib.x86_64 0:2.3.3.4-11.el7                                   
  dejavu-serif-fonts.noarch 0:2.33-6.el7                                         
  evince-libs.x86_64 0:3.22.1-5.2.el7_4                                          
  gnome-documents-libs.x86_64 0:3.22.2-5.el7                                     
  gnome-online-miners.x86_64 0:3.22.0-2.el7                                      
  google-crosextra-caladea-fonts.noarch 0:1.002-0.4.20130214.el7                 
  google-crosextra-carlito-fonts.noarch 0:1.103-0.2.20130920.el7                 
  hyphen-en.noarch 0:2.8.6-5.el7                                                 
  libcmis.x86_64 0:0.5.1-2.el7                                                   
  liberation-serif-fonts.noarch 1:1.07.2-15.el7                                  
  libexttextcat.x86_64 0:3.4.1-3.el7                                             
  libgepub.x86_64 0:0.4-1.el7                                                    
  liblangtag.x86_64 0:0.5.4-8.el7                                                
  libodfgen.x86_64 0:0.1.4-1.el7                                                 
  libreoffice-core.x86_64 1:5.0.6.2-15.el7_4                                     
  libreoffice-opensymbol-fonts.noarch 1:5.0.6.2-15.el7_4                         
  libreoffice-ure.x86_64 1:5.0.6.2-15.el7_4                                      
  libreofficekit.x86_64 1:5.0.6.2-15.el7_4                                       
  libzapojit.x86_64 0:0.0.3-4.el7                                                
  mythes.x86_64 0:1.2.3-7.el7                                                    
)


2. turn off the report issuing an ASSSERT reqult of:

   > number of files 1


Please ask if you need any additional information and I will supplement as I can

PS -- there is a side bug as to 'gnome-documents' not starting a wanted helper application, which I will file separately


-- Russ herrold

Comment 2 Carlos Soriano 2018-04-13 07:01:52 UTC
Not sure I understood very well the bug report, the format it's messy. Is the bug that some thumbnailers are not present and we would like to have them present in RHEL?

Thumbnails are not required per se, that would be a configuration in the distro itself whether we want X or Y thumbnailer to be installed by default.

Not sure where that has to be done, the proposal to add it to Nautilus spec is not the appropriate way though.

Comment 3 R P Herrold 2018-05-08 21:03:01 UTC
I am sorry at the delay -- I have enough bugs filed that I drive off the 'needinfo' setting.  

Desired resolutions:

1. identify the needed supplement which provided the thumbnail handler for .xls, and add JUST that Requires: to the .spec file

that is: an XLS format thumbnail is absent -- it needs to be added

1b  the spec file pulls wayy too much in -- this dependency chain needs work to cut it down to sizze.  If you wish, I can clone this out into a separate bug



and


2. turn off the report issuing an ASSERT result of:

   > number of files 1

something is issuing that output -- it is inappropriate, as a well behaved application should run silently

Comment 4 Ondrej Holy 2020-01-10 12:40:45 UTC
XLS thumbnailer should be provided by libgsf, which is already an indirect dependency of Nautilus at least on RHEL 7.7, so this seems to be already fixed.

$ grep -or application/vnd.ms-excel /usr/share/thumbnailers/
/usr/share/thumbnailers/gsf-office.thumbnailer:application/vnd.ms-excel

$ sudo repoquery --whatprovides /usr/share/thumbnailers/gsf-office.thumbnailer
libgsf-0:1.14.26-7.el7.i686
libgsf-0:1.14.26-7.el7.x86_64

$ sudo repoquery --requires --recursive --resolve nautilus | grep libgsf
libgsf-0:1.14.26-7.el7.x86_64


Note You need to log in before you can comment on or make changes to this bug.